package billing.existing;

import java.math.BigDecimal;

/**
 * Acts as a dataholder for calculations.
 */
public class BillingContext
{
   private BigDecimal consumptionInMB;
   private BigDecimal rateInMB;

   public BillingContext(BigDecimal consumptionInMB, BigDecimal rateInMB)
   {
      this.consumptionInMB = consumptionInMB;
      this.rateInMB = rateInMB;
   }

   public BigDecimal getConsumptionInMB()
   {
      return consumptionInMB;
   }

   public BigDecimal getRatePerMB()
   {
      return rateInMB;
   }
}

